petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetObjective

Sets the objective function minimized by some of the SNES linesearch methods.

### Synopsis

    PetscErrorCode  SNESSetObjective(SNES snes,PetscErrorCode (*obj)(SNES,Vec,PetscReal*,void*),void *ctx)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| obj | - objective evaluation routine; see SNESObjectiveFunction for details Many br
| ctx | - [optional] user-defined context for private data for the Many brfunction evaluation routine (may be NULL) Many br

Many br

Note: This is not used in the SNESLINESEARCHCP line search. Many br

If not provided then this defaults to the two norm of the function evaluation (set with SNESSetFunction()) Many br

### Keywords

SNES, nonlinear, set, objective

### See Also

SNESGetObjective(), SNESComputeObjective(), SNESSetFunction(), SNESSetJacobian(), SNESObjectiveFunction

Level:intermediate
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages